<!DOCTYPE html>
<html>
<head>
  <link href="https://fonts.googleapis.com/css?family=Roboto:100,300,400,500,700,900" rel="stylesheet">
  <link href="https://cdn.jsdelivr.net/npm/@mdi/font@4.x/css/materialdesignicons.min.css" rel="stylesheet">
  <link href="https://cdn.jsdelivr.net/npm/vuetify@2.x/dist/vuetify.min.css" rel="stylesheet">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no, minimal-ui">
</head>
<body>
  <div id="app">
    <v-app>
      <v-app-bar app color="primary" dark>
        <div class="d-flex align-center">
          <a href="/">
            <v-img
            alt="Vuetify Logo"
            class="shrink mr-2"
            contain
            src="https://cdn.vuetifyjs.com/images/logos/vuetify-logo-dark.png"
            transition="scale-transition"
            width="40"
            />
          </a>
        </div>

        <v-spacer></v-spacer>

        <v-file-input
          show-size
          label="Subir Archivo de Ventas"
          ref="file"
          v-model="files"
          accept=".csv"
          small-chips
          @change="submitFiles"
        >
        </v-file-input>
        <v-btn color="primary" text @click="submitFiles">test</v-btn>
        <v-icon>mdi-open-in-new</v-icon>
      </v-app-bar>

      <v-content>
        <div class="home">
          <v-container>
            <v-row>
              <v-col cols="6"> 
                <v-card>
                  <v-card-title class="pb-0">{{ vendor.name }}</v-card-title>
                  <v-card-text>
                  
                    <v-row>
                      <v-col class="mb-4">
                        <v-row>
                          <v-label class="subtitle">
                              Comision: {{ vendor.comision }}
                          </v-label>
                        </v-row>
                        <v-row>
                          <v-label>
                              Comision Actual: {{ vendor.actual_comision }}
                          </v-label>
                        </v-row>
                      </v-col>
                    </v-row>
                  </v-card-text>
                </v-card>
              </v-col>
              <v-col>
                <v-img
                  :src="vendor.avatar_url"
                  class="my-3"
                  contain
                  height="100"
                />
              </v-col>
            </v-row>
          </v-container>
          <v-card>
            <v-card-title>Ventas Realizadas</v-card-title>
            <v-card-text>
              <v-data-table
                :headers="headers"
                :items="sales"
                :items-per-page="5"
                class="elevation-1"
              >
              </v-data-table>
            </v-card-text>
          </v-card>
        </div>
      </v-content>
    </v-app>
  </div>

  <script src="https://cdn.jsdelivr.net/npm/vue@2.x/dist/vue.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/vuetify@2.x/dist/vuetify.js"></script>
  <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
  <script>
    new Vue({
      el: '#app',
      vuetify: new Vuetify(),
      name: "demofront",
      data() {
        return {
          files: null,
          headers: [
            {
              text: "Producto",
              align: "start",
              sortable: true,
              value: "product"
            },
            { text: "Fecha", value: "saleDate" },
            { text: "Monto", value: "amount" },
            { text: "Comision", value: "comision" }
          ],
          vendor: [],
          sales: [],
          errors: [],
          backend_url: "http://localhost:8081"
        };
      },
      created() {
        let url = new URL(location.href);
        let id = ${id};
        axios
          .get(this.backend_url + "/getVendor/" + id)
          .then(response => {this.vendor = response.data[0]
          console.log(response.data[0]);
          })
          .catch(error => this.errors.push(error));
        
          console.log(this.vendor);
        axios
          .get(this.backend_url + "/getSales?vendor=" + id)
          .then(response => {
            response.data.forEach(sale => {
              sale.comision = (sale.amount * this.vendor.comision) / 100;
            });
            this.sales = response.data;
          })
          .catch(error => this.errors.push(error));

      },
      methods: {
        submitFiles(files) {
          console.log("Elemento Seleccionado");
          console.log(files);
          if (files) {
            let formData = new FormData();

            formData.append("file", files, files.name);

            axios
              .post("http://localhost:8081/load", formData)
              .then(response => {
                console.log("Success!");
                console.log({ response });
              })
              .catch(error => {
                console.log({ error });
              });
          } else {
            console.log("there are no files.");
          }
        }
      }
    })
  </script>
</body>
</html>